Bug 511181 - kernel: build with -fno-delete-null-pointer-checks [rhel-5.4]
kernel: build with -fno-delete-null-pointer-checks [rhel-5.4]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity high
: rc
: ---
Assigned To: Eugene Teo (Security Response)
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 511183 511185 511187 515468
  Show dependency treegraph
 
Reported: 2009-07-13 23:37 EDT by Eugene Teo (Security Response)
Modified: 2009-09-02 04:06 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 511183 511185 511187 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-13 23:37:40 EDT
Description of problem:
http://gcc.gnu.org/onlinedocs/gcc-4.1.2/gcc/Optimize-Options.html

-fdelete-null-pointer-checks
    Use global dataflow analysis to identify and eliminate useless checks for null pointers. The compiler assumes that dereferencing a null pointer would have halted the program. If a pointer is checked after it has already been dereferenced, it cannot be null.

    In some environments, this assumption is not true, and programs can safely dereference null pointers. Use -fno-delete-null-pointer-checks to disable this optimization for programs which depend on that behavior.

    Enabled at levels -O2, -O3, -Os.
Comment 9 RHEL Product and Program Management 2009-07-14 18:03:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Eugene Teo (Security Response) 2009-07-16 20:20:08 EDT
Upstream commit:
http://git.kernel.org/linus/a3ca86aea507904148870946d599e07a340b39bf
Comment 13 Don Zickus 2009-07-21 15:37:29 EDT
in kernel-2.6.18-159.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 19 errata-xmlrpc 2009-09-02 04:06:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.